#include <stdio.h>
#include <string.h>

void give_last_char(char *ptr, char *char_ptr, int length );

char my_array[] = "i dont even";


int main  () {
  
  char *ptr = my_array;

  char y;
  char *char_pointer = &y;

  //ptr++;
  give_last_char(ptr, char_pointer, strlen(my_array));
  
  printf("%c\n", *char_pointer);
  

  //int i;
  /* do { */
  /*   printf("%p | %p | %c | %p\n", &my_array[4], ptr, *ptr, &ptr); */
  /*   ptr++;     */
  /*   i++; */
  /* }while(i<strlen(my_array)); */
}
